=== debian/control ===
Source: ros-kinetic-moveit-visual-tools
Section: misc
Priority: extra
Maintainer: Dave Coleman <dave@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-eigen-conversions, ros-kinetic-geometry-msgs, ros-kinetic-graph-msgs, ros-kinetic-moveit-core, ros-kinetic-moveit-ros-planning, ros-kinetic-roscpp, ros-kinetic-roslint, ros-kinetic-rviz-visual-tools, ros-kinetic-std-msgs, ros-kinetic-tf-conversions, ros-kinetic-trajectory-msgs, ros-kinetic-visualization-msgs
Homepage: https://github.com/ros-planning/moveit_visual_tools
Standards-Version: 3.9.2

Package: ros-kinetic-moveit-visual-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-cmake-modules, ros-kinetic-eigen-conversions, ros-kinetic-geometry-msgs, ros-kinetic-graph-msgs, ros-kinetic-moveit-core, ros-kinetic-moveit-ros-planning, ros-kinetic-roscpp, ros-kinetic-roslint, ros-kinetic-rviz-visual-tools, ros-kinetic-std-msgs, ros-kinetic-tf-conversions, ros-kinetic-trajectory-msgs, ros-kinetic-visualization-msgs
Description: Helper functions for displaying and debugging MoveIt! data in Rviz via published markers
